#
# spec file for package ghc-testsuite
#
# Copyright (c) 2014 Peter Trommler peter.trommler@ohm-hochschule.de
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ghc-testsuite
Version:        8.2.2
Release:        1.1
Group:          Development/Languages/Other
License:        BSD-3-Clause
Url:            http://haskell.org/ghc/dist/current/dist/%{name}-%{version}-testsuite.tar.xz
Summary:        Testsuite for The Glorious Glasgow Haskell Compiler
BuildRequires:  ghc = %{version}
BuildRequires:  xz
BuildRequires:  python3
BuildRequires:  libstdc++-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel
Source:         http://www.haskell.org/ghc/dist/%{version}/ghc-%{version}-testsuite.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Haskell is the standard purely functional programming language; the
current language version is Haskell 98, agreed in December 1998.

GHC is a state-of-the-art programming suite for Haskell.  Included is
an optimising compiler generating good code for a variety of
platforms, together with an interactive system for convenient, quick
development.  The distribution includes space and time profiling
facilities, a large collection of libraries, and support for various
language extensions, including concurrency, exceptions, and foreign
language interfaces (C, C++, etc).

A wide variety of Haskell related resources (tutorials, libraries,
specifications, documentation, compilers, interprbeters, references,
contact information, links to research groups) are available from the
Haskell home page at <http://www.haskell.org/>.

This package runs the testsuite.

%prep
%setup -q -n ghc-%{version}

%build
pushd testsuite
make TEST_HC=%{_bindir}/ghc
popd

%install

%check

%files 

%changelog
* Sat Dec  9 2017 ptrommler@icloud.com
- update to 8.2.2 testsuite
* Fri Jun  9 2017 peter.trommler@ohm-hochschule.de
- update to 8.0.2 testsuite
* Wed Jun  1 2016 peter.trommler@ohm-hochschule.de
- update to 8.0.1 testsuite
* Tue Jan  5 2016 peter.trommler@ohm-hochschule.de
- update to 7.10.3b testsuite
* Sun May 10 2015 peter.trommler@ohm-hochschule.de
- use LLVM where available
  * tests will fail on ppc64 as there is no LLVM support in ghc yet
* Fri Mar 27 2015 peter.trommler@ohm-hochschule.de
- update to 7.8.4 testsuite
* Mon Jul 28 2014 peter.trommler@ohm-hochschule.de
- update to 7.8.3 testsuite
* Wed Mar 19 2014 peter.trommler@ohm-hochschule.de
- split off testsuite from main package
